import 'package:zhiying_base_widget/pages/main_page/main_page.dart';
import 'package:zhiying_base_widget/widgets/home_goods/home_goods_creater.dart';
import 'package:zhiying_base_widget/widgets/home_banner/home_banner_creater.dart';
import 'package:zhiying_base_widget/widgets/home_quick_entry/home_quick_entry_creater.dart';
import 'package:zhiying_comm/zhiying_comm.dart';
import 'package:zhiying_base_widget/pages/home_page/home_page.dart';

class BaseWidgetRegister {
  /// 初始化方法
  static void init() {
    BaseWidgetRegister.registPage();
    BaseWidgetRegister.registWidgets();
  }

  // 注册页面
  static void registPage() {
    PageFactory.regist('homePage', (model) => HomePage());
    PageFactory.regist('index', (model) => MainPage());
  }

  // 注册控件
  static void registWidgets() {
    WidgetFactory.regist('index_carousel', HomeBannerCreater());
    WidgetFactory.regist('index_recommend_list', GoodsListCreater());
    // 首页快速入口
    WidgetFactory.regist('home_quick_entry', HomeQuickEntryCreater());
  }
}
